/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.protokollierung.entity;

public interface LoeschProtokollBase extends 
de.ivu.elect.jee.entity.Entity<LoeschProtokollPK, LoeschProtokollUK>
{

  
  /**
   * getter for primary key wrapper LOESCH_PROTOKOLL.loesch_protokoll_id
   *
   * @return
   */
  @Override
  LoeschProtokollPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.BENUTZERKENNUNG
   *
   */
  java.lang.String getBenutzerkennung();

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.BENUTZERKENNUNG
   *
   * @param benutzerkennung
   */
  void setBenutzerkennung(java.lang.String benutzerkennung);
      

  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.ENTITAET
   *
   */
  java.lang.String getEntitaet();

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.ENTITAET
   *
   * @param entitaet
   */
  void setEntitaet(java.lang.String entitaet);
      

  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.MESSAGE_KEY
   *
   */
  java.lang.String getMessageKey();

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.MESSAGE_KEY
   *
   * @param messageKey
   */
  void setMessageKey(java.lang.String messageKey);
      

  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.MESSAGE_PARAMS
   *
   */
  java.lang.String getMessageParams();

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.MESSAGE_PARAMS
   *
   * @param messageParams
   */
  void setMessageParams(java.lang.String messageParams);
      

  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.PRIMAERSCHLUESSEL
   *
   */
  java.lang.Long getPrimaerschluessel();

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.PRIMAERSCHLUESSEL
   *
   * @param primaerschluessel
   */
  void setPrimaerschluessel(java.lang.Long primaerschluessel);
      

  /**
   * 
   *
   * getter for LOESCH_PROTOKOLL.ZEITPUNKT
   *
   */
  java.util.Date getZeitpunkt();

  /**
   * 
   *
   * setter for LOESCH_PROTOKOLL.ZEITPUNKT
   *
   * @param zeitpunkt
   */
  void setZeitpunkt(java.util.Date zeitpunkt);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setWahltermin(de.ivu.elect.business.wahl.entity.Wahltermin wahltermin);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahltermin getWahltermin();



  /**
   * 
   */
  void setWahl(de.ivu.elect.business.wahl.entity.Wahl wahl);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahl getWahl();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
